Bug 239156 - (DBIx-SQLite-Simple) Review Request: perl-DBIx-SQLite-Simple - Easy access to SQLite databases using objects
Review Request: perl-DBIx-SQLite-Simple - Easy access to SQLite databases us...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Weyl
Fedora Package Reviews List
: Reopened
Depends On: perl-Class-Gomor
Blocks: perl-Net-SinFP
  Show dependency treegraph
 
Reported: 2007-05-05 09:19 EDT by Sindre Pedersen Bjørdal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-27 00:46:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cweyl: fedora‑review+
petersen: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Sindre Pedersen Bjørdal 2007-05-05 09:19:17 EDT
Spec URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-DBIx-SQLite-Simple.spec
SRPM URL: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-DBIx-SQLite-Simple-0.34-1.fc7.src.rpm

Description: 

perl-DBIx-SQLite-Simple provides easy access to the SQLite databases using
objects.
Comment 1 Chris Weyl 2007-05-06 14:25:51 EDT
Missing BR's on:
    perl(ExtUtils::MakeMaker)
    perl(Test::More)
    perl(Test::Pod)
    perl(Test::Pod::Coverage)

rpmlint complains about tabs/spaces -- this should be an easy fix.

Also, for a variety of reasons, this package should own the entire directory
chain under %{perl_vendorlib}, e.g., not %{perl_vendorlib}/DBIx/SQLite/* but
just %{perl_vendorlib}/*.

Correct the BR's, pacify rpmlint and correct %files and I'll approve :)

+ source files match upstream:
 7375627800f0ef136eff5ef18c766c64  DBIx-SQLite-Simple-0.34.tar.gz
 7375627800f0ef136eff5ef18c766c64  DBIx-SQLite-Simple-0.34.tar.gz.srpm
+ package meets naming and versioning guidelines.
+ specfile is properly named, is cleanly written and uses macros consistently.
+ dist tag is present.
+ build root is correct.
+ license field matches the actual license.
+ license is open source-compatible. License text included in package.
+ latest version is being packaged.
X BuildRequires are proper.
+ compiler flags are appropriate. (noarch)
+ %clean is present.
X rpmlint is silent (see below)
+ final provides and requires are sane:
 ** perl-DBIx-SQLite-Simple-0.34-1.fc6.src.rpm 
 W: perl-DBIx-SQLite-Simple mixed-use-of-spaces-and-tabs (spaces: line 1, tab:
 line 9)
 ** perl-DBIx-SQLite-Simple-0.34-1.fc6.noarch.rpm
 == rpmlint
 == provides
 perl(DBIx::SQLite::Simple) = 0.34
 perl(DBIx::SQLite::Simple::Table)  
 perl-DBIx-SQLite-Simple = 0.34-1.fc6
 == requires
 perl(:MODULE_COMPAT_5.8.8)  
 perl(Carp)  
 perl(Class::Gomor::Array)  
 perl(DBI)  
 perl(DBIx::SQLite::Simple)  
 perl(strict)  
 perl(warnings) 
+ %check is present and all tests pass:
 All tests successful.
 Files=6, Tests=8,  1 wallclock secs ( 0.50 cusr +  0.14 csys =  0.64 CPU)
+ no shared libraries are added to the regular linker search paths.
X owns the directories it creates.
+ doesn't own any directories it shouldn't.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets present.
+ code, not content.
+ documentation is small, so no -docs subpackage is necessary.
+ %docs are not necessary for the proper functioning of the package.
+ no headers.
+ no pkgconfig files.
+ no libtool .la droppings.
+ not a GUI app.
Comment 2 Sindre Pedersen Bjørdal 2007-05-06 17:27:02 EDT
Updated: 

SPEC: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor.spec
SRPM:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-Class-Gomor-1.01-2.fc7.src.rpm

Changes:
- Add missing BRs
- Add examples dir to %%doc

rpmlint is silent here, but it was silent before as well.
Comment 3 Sindre Pedersen Bjørdal 2007-05-06 17:29:21 EDT
Bah! Ignore the last message:

SPEC: http://folk.ntnu.no/sindrb/packages/green_nyc/perl-DBIx-SQLite-Simple.spec
SRPM:
http://folk.ntnu.no/sindrb/packages/green_nyc/perl-DBIx-SQLite-Simple-0.34-2.fc7.src.rpm

Changes:

- Add missing BRs
- Fix %%files
Comment 4 Chris Weyl 2007-05-07 10:26:38 EDT
APPROVED
Comment 5 Sindre Pedersen Bjørdal 2007-05-08 10:59:15 EDT
New Package CVS Request
=======================
Package Name: perl-SQLite-Simple
Short Description: Easy Access to SQLite databases using objects
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaa@redhat.com
Comment 6 Sindre Pedersen Bjørdal 2007-05-11 10:46:56 EDT
I botched the last one:

New Package CVS Request
=======================
Package Name: perl-DBIx-SQLite-Simple
Short Description: Easy Access to SQLite databases using objects
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5
InitialCC: jaboutbo@redhat.com
Comment 7 Sindre Pedersen Bjørdal 2007-05-23 11:03:22 EDT
Seems the F7 branch wasn't created during merge, please add it.

New Package CVS Request
=======================
Package Name: perl-DBIx-SQLite-Simple
Short Description: Easy Access to SQLite databases using objects
Owners: foolish@guezz.net
Branches: FC-5 FC-6 EL-4 EL-5 F-7
Comment 8 Jens Petersen 2007-05-27 00:46:45 EDT
F-7 added

Note You need to log in before you can comment on or make changes to this bug.